# services/harbor/image.yaml
apiVersion: image.toolkit.fluxcd.io/v1beta2
kind: ImageRepository
metadata:
  name: harbor-core
  namespace: harbor
spec:
  image: registry.bstein.dev/infra/harbor-core
  interval: 5m0s
---
apiVersion: image.toolkit.fluxcd.io/v1beta2
kind: ImagePolicy
metadata:
  name: harbor-core
  namespace: harbor
spec:
  imageRepositoryRef:
    name: harbor-core
  filterTags:
    pattern: '^v(?P<version>\d+\.\d+\.\d+-arm64(\.\d+)?)$'
    extract: '$version'
  policy:
    semver:
      range: ">=2.14.0-0 <2.15.0-0"
---
apiVersion: image.toolkit.fluxcd.io/v1beta2
kind: ImageRepository
metadata:
  name: harbor-jobservice
  namespace: harbor
spec:
  image: registry.bstein.dev/infra/harbor-jobservice
  interval: 5m0s
---
apiVersion: image.toolkit.fluxcd.io/v1beta2
kind: ImagePolicy
metadata:
  name: harbor-jobservice
  namespace: harbor
spec:
  imageRepositoryRef:
    name: harbor-jobservice
  filterTags:
    pattern: '^v(?P<version>\d+\.\d+\.\d+-arm64(\.\d+)?)$'
    extract: '$version'
  policy:
    semver:
      range: ">=2.14.0-0 <2.15.0-0"
---
apiVersion: image.toolkit.fluxcd.io/v1beta2
kind: ImageRepository
metadata:
  name: harbor-portal
  namespace: harbor
spec:
  image: registry.bstein.dev/infra/harbor-portal
  interval: 5m0s
---
apiVersion: image.toolkit.fluxcd.io/v1beta2
kind: ImagePolicy
metadata:
  name: harbor-portal
  namespace: harbor
spec:
  imageRepositoryRef:
    name: harbor-portal
  filterTags:
    pattern: '^v(?P<version>\d+\.\d+\.\d+-arm64(\.\d+)?)$'
    extract: '$version'
  policy:
    semver:
      range: ">=2.14.0-0 <2.15.0-0"
---
apiVersion: image.toolkit.fluxcd.io/v1beta2
kind: ImageRepository
metadata:
  name: harbor-registry
  namespace: harbor
spec:
  image: registry.bstein.dev/infra/harbor-registry
  interval: 5m0s
---
apiVersion: image.toolkit.fluxcd.io/v1beta2
kind: ImagePolicy
metadata:
  name: harbor-registry
  namespace: harbor
spec:
  imageRepositoryRef:
    name: harbor-registry
  filterTags:
    pattern: '^v(?P<version>\d+\.\d+\.\d+-arm64(\.\d+)?)$'
    extract: '$version'
  policy:
    semver:
      range: ">=2.14.0-0 <2.15.0-0"
---
apiVersion: image.toolkit.fluxcd.io/v1beta2
kind: ImageRepository
metadata:
  name: harbor-registryctl
  namespace: harbor
spec:
  image: registry.bstein.dev/infra/harbor-registryctl
  interval: 5m0s
---
apiVersion: image.toolkit.fluxcd.io/v1beta2
kind: ImagePolicy
metadata:
  name: harbor-registryctl
  namespace: harbor
spec:
  imageRepositoryRef:
    name: harbor-registryctl
  filterTags:
    pattern: '^v(?P<version>\d+\.\d+\.\d+-arm64(\.\d+)?)$'
    extract: '$version'
  policy:
    semver:
      range: ">=2.14.0-0 <2.15.0-0"
---
apiVersion: image.toolkit.fluxcd.io/v1beta2
kind: ImageRepository
metadata:
  name: harbor-redis
  namespace: harbor
spec:
  image: registry.bstein.dev/infra/harbor-redis
  interval: 5m0s
---
apiVersion: image.toolkit.fluxcd.io/v1beta2
kind: ImagePolicy
metadata:
  name: harbor-redis
  namespace: harbor
spec:
  imageRepositoryRef:
    name: harbor-redis
  filterTags:
    pattern: '^v(?P<version>\d+\.\d+\.\d+-arm64(\.\d+)?)$'
    extract: '$version'
  policy:
    semver:
      range: ">=2.14.0-0 <2.15.0-0"
---
apiVersion: image.toolkit.fluxcd.io/v1beta2
kind: ImageRepository
metadata:
  name: harbor-nginx
  namespace: harbor
spec:
  image: registry.bstein.dev/infra/harbor-nginx
  interval: 5m0s
---
apiVersion: image.toolkit.fluxcd.io/v1beta2
kind: ImagePolicy
metadata:
  name: harbor-nginx
  namespace: harbor
spec:
  imageRepositoryRef:
    name: harbor-nginx
  filterTags:
    pattern: '^v(?P<version>\d+\.\d+\.\d+-arm64(\.\d+)?)$'
    extract: '$version'
  policy:
    semver:
      range: ">=2.14.0-0 <2.15.0-0"
---
apiVersion: image.toolkit.fluxcd.io/v1beta2
kind: ImageRepository
metadata:
  name: harbor-prepare
  namespace: harbor
spec:
  image: registry.bstein.dev/infra/harbor-prepare
  interval: 5m0s
---
apiVersion: image.toolkit.fluxcd.io/v1beta2
kind: ImagePolicy
metadata:
  name: harbor-prepare
  namespace: harbor
spec:
  imageRepositoryRef:
    name: harbor-prepare
  filterTags:
    pattern: '^v(?P<version>\d+\.\d+\.\d+-arm64(\.\d+)?)$'
    extract: '$version'
  policy:
    semver:
      range: ">=2.14.0-0 <2.15.0-0"
